## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)

Use this file to discover all available pages before exploring further.

## API Endpoint

`POST /shipments/inventory-transfer/{transferShipmentId}/actions/package-tracking-acknowledge`

### cURL Example

```bash
curl --request POST \
  --url https://api.fabric.inc/v3/shipments/inventory-transfer/{transferShipmentId}/actions/package-tracking-acknowledge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "eventType": "ORDER_CREATE_IN_PTS",
  "attributes": {}
}'
```

### Python Example

```python
import requests

url = "https://api.fabric.inc/v3/shipments/inventory-transfer/{transferShipmentId}/actions/package-tracking-acknowledge"

payload = {
    "eventType": "ORDER_CREATE_IN_PTS",
    "attributes": {}
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Example

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({eventType: 'ORDER_CREATE_IN_PTS', attributes: {}})
};

fetch('https://api.fabric.inc/v3/shipments/inventory-transfer/{transferShipmentId}/actions/package-tracking-acknowledge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/shipments/inventory-transfer/{transferShipmentId}/actions/package-tracking-acknowledge",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "", 
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'eventType' => 'ORDER_CREATE_IN_PTS',
    'attributes' => []
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-channel-id: <x-fabric-channel-id>",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

## Expected Responses

### Success (200)
```json
{
  "shipFrom": {...},
  "shipTo": {...},
  "shipmentNumber": "78974156816152",
  "transferId": "112345678912340",
  "transferNumber": "112345678912340",
  "attributes": {"attribute1": "value"},
  "auditLogs": [...],
  "cartons": [...],
  "createdAt": "2022-06-06T07:58:30.996Z",
  "deliveredAt": "2022-06-06T07:58:30.996Z",
  "masterTrackingNumber": "TX112345678",
  "poNumber": "1125",
  "receivedAt": "2022-06-06T07:58:30.996Z",
  "recipient": [...],
  "shipmentId": "627963716b19511e8a3a631b",
  "shippedAt": "2022-06-06T07:58:30.996Z",
  "statusCode": "TRANSFER_SHIPMENT_CREATED",
  "stockReleaseTimeStamp": "2022-06-06T07:58:30.996Z",
  "subtype": "COD",
  "totalCartons": 2,
  "type": "TRANSFER",
  "updatedAt": "2022-06-06T07:58:30.996Z",
  "vendorId": "56"
}
```

### Client Error (400)
```json
{
  "errors": [{
    "message": "Invalid request",
    "type": "CLIENT_ERROR"
  }],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

### Unauthorized (401)
```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

### Server Error (500)
```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

## Authorization Headers

- **Authorization**: required, `Bearer <token>`
- **x-fabric-tenant-id**: required
- **x-fabric-channel-id**: required

## Request Body

### Required
- `eventType`: enum<string> - Event type for which acknowledgement is received, e.g., `ORDER_CREATE_IN_PTS`  
- `attributes`: object - A list of custom mapped attributes.
